Skip to main content

DeleteVirtualDatasourceInstance

Deletes a virtual data source instance in the specified workspace.

Try it now

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Try it now

RAM authorization

The following table describes the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant a RAM user or RAM role the permission to call this API. Details are as follows:
  • Action: refers to a specific permission point.
  • Access level: refers to the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: refers to the resource types that support authorization in the operation. Details are as follows:
    • Required resource types are marked with a leading asterisk (*).
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: refers to the condition keys defined by the cloud product itself.
  • Dependent action: refers to other permissions required to successfully perform the operation. The operator must also have the permissions of the dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:DeleteVirtualDatasourceInstancenone
*All Resources
*
    None
None

Request syntax

POST /gbi/virtualDatasource/deleteVirtualDatasourceInstance HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

ID of the Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

vdbIdstringYes

ID of the virtual data source instance

vdb-7D63529B-5D42-5BF0-84E4-F742FFE02E7F

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response data. Indicates success or failure.

true
errorMsgstring

Error message.

NoAuth
codestring

Error code.

NoAuth
successboolean

true indicates a successful API call, and false indicates a failed API call

true
requestIdstring

Request ID, a unique value for each request, which helps with troubleshooting

7D63529B-5D42-5BF0-84E4-F742FFE02E7F

Examples

Success response JSON format
{
  "data": "true",
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "7D63529B-5D42-5BF0-84E4-F742FFE02E7F"
}

Error codes

HTTP status codeError codeError messageDescription
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified workspace
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting
See Error Center for more error codes.